"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
class Issue extends vscode.TreeItem {
    constructor(label, issueId, body, issueState, assignee, firstlabel, collapsibleState, command) {
        super(label, collapsibleState);
        this.label = label;
        this.issueId = issueId;
        this.body = body;
        this.issueState = issueState;
        this.assignee = assignee;
        this.firstlabel = firstlabel;
        this.collapsibleState = collapsibleState;
        this.command = command;
        this.contextValue = 'issue';
    }
    get tooltip() {
        return this.label + " - " + this.assignee;
    }
}
exports.Issue = Issue;
//# sourceMappingURL=issue.js.map